<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- bundle-module.qdoc -->
  <title>bundle QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">bundle QML Type</h1>
<span class="subtitle"></span>
<!-- $$$bundle-brief -->
<p>Provides Core Foundation bundle support. <a href="#details">More...</a></p>
<!-- @@@bundle -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Since:</td><td class="memItemRight bottomAlign"> Qbs 1.4</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-bundle-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#bundleName-prop">bundleName</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#contentsFolderPath-prop">contentsFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#documentationFolderPath-prop">documentationFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#embedInfoPlist-prop">embedInfoPlist</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#executableFolderPath-prop">executableFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#executablePath-prop">executablePath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#executablesFolderPath-prop">executablesFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#extension-prop">extension</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#frameworkVersion-prop">frameworkVersion</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#frameworksFolderPath-prop">frameworksFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#generatePackageInfo-prop">generatePackageInfo</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#identifier-prop">identifier</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#identifierPrefix-prop">identifierPrefix</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#infoPlist-prop">infoPlist</a></b></b> : var</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#infoPlistFormat-prop">infoPlistFormat</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#infoPlistPath-prop">infoPlistPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#infoStringsPath-prop">infoStringsPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#isBundle-prop">isBundle</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#isShallow-prop">isShallow</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#javaFolderPath-prop">javaFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#localizedResourcesFolderPath-prop">localizedResourcesFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#packageType-prop">packageType</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#pkgInfoPath-prop">pkgInfoPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#pluginsFolderPath-prop">pluginsFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#privateHeaders-prop">privateHeaders</a></b></b> : pathList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#privateHeadersFolderPath-prop">privateHeadersFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#processInfoPlist-prop">processInfoPlist</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#publicHeaders-prop">publicHeaders</a></b></b> : pathList</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#publicHeadersFolderPath-prop">publicHeadersFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#resources-prop">resources</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#scriptsFolderPath-prop">scriptsFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#sharedFrameworksFolderPath-prop">sharedFrameworksFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#sharedSupportFolderPath-prop">sharedSupportFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#signature-prop">signature</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#unlocalizedResourcesFolderPath-prop">unlocalizedResourcesFolderPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#versionPlistPath-prop">versionPlistPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-bundle.html#versionsFolderPath-prop">versionsFolderPath</a></b></b> : string</li>
</ul>
<!-- $$$bundle-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The <code>bundle</code> module contains properties and rules for building and working with Core Foundation bundles on Apple platforms (commonly known as CFBundles or simply <i>bundles</i>), directories with a standardized hierarchical structure that hold executable code and resources. Examples include applications, frameworks, and plugins.</p>
<p>This module is available on all platforms but is currently only useful on Apple platforms.</p>
<p><b>Note: </b>Core Foundation bundles are not to be confused with Mach-O loadable modules, which are also referred to as (loadable) <i>bundles</i> in Apple parlance. In Qbs, Core Foundation bundles are referred to as <i>bundles</i>, while Mach-O loadable bundles are referred to as <i>loadable modules</i>.</p><a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-bundle"></a><div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;bundle.content&quot;</code></td><td >-</td><td >1.8</td><td >Attached to the output artifacts of the rule that produces the bundle.</td></tr>
<tr valign="top" class="even"><td ><code>&quot;infoplist&quot;</code></td><td ><code>Info.plist</code>, <code>*-Info.plist</code></td><td >1.5</td><td >Source files with this tag are Info property lists files or fragments that are merged into the bundle's final <code>Info.plist</code>.</td></tr>
</table></div>
<!-- @@@bundle -->
<h2>Property Documentation</h2>
<!-- $$$bundleName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="bundleName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">bundleName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The file name of the bundle's wrapper directory.</p>
<p>This property should not normally need to be changed.</p>
<p>Default: A combination of the product's <a href="qml-qbslanguageitems-product.html#targetName-prop">targetName</a> and bundle's <a href="qml-qbsmodules-bundle.html#extension-prop">extension</a>.</p>
</div></div><!-- @@@bundleName -->
<br/>
<!-- $$$contentsFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="contentsFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">contentsFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the bundle's <code>Contents</code> subdirectory.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@contentsFolderPath -->
<br/>
<!-- $$$documentationFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="documentationFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">documentationFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where documentation will be written.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>This property was introduced in Qbs 1.5.</p>
</div></div><!-- @@@documentationFolderPath -->
<br/>
<!-- $$$embedInfoPlist -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="embedInfoPlist-prop">
<td class="tblQmlPropNode"><p>
<span class="name">embedInfoPlist</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to create a <code>__TEXT</code> section in the product's executable containing the processed <code>Info.plist</code>.</p>
<p>Only applies to command line applications.</p>
<p>Default: <code>true</code> if the product is a command line tool, otherwise <code>false</code>.</p>
</div></div><!-- @@@embedInfoPlist -->
<br/>
<!-- $$$executableFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="executableFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">executableFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where the main exectuable will be written.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>Not to be confused with <a href="qml-qbsmodules-bundle.html#executablesFolderPath-prop">executablesFolderPath</a>.</p>
</div></div><!-- @@@executableFolderPath -->
<br/>
<!-- $$$executablePath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="executablePath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">executablePath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path that the main executable file will be written to.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@executablePath -->
<br/>
<!-- $$$executablesFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="executablesFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">executablesFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where auxiliary executables will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>Not to be confused with <a href="qml-qbsmodules-bundle.html#executableFolderPath-prop">executableFolderPath</a>.</p>
</div></div><!-- @@@executablesFolderPath -->
<br/>
<!-- $$$extension -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="extension-prop">
<td class="tblQmlPropNode"><p>
<span class="name">extension</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The extension of the bundle's wrapper directory, without the leading period (.)&#x2e;</p>
<p>This property should not normally need to be set unless creating a custom bundle type.</p>
<p>Default: <code>&quot;app&quot;</code> for <code>&quot;APPL&quot;</code> packages, <code>&quot;framework&quot;</code> for <code>&quot;FMWK&quot;</code> packages, and <code>&quot;bundle&quot;</code> for <code>&quot;BNDL&quot;</code> and custom packages.</p>
</div></div><!-- @@@extension -->
<br/>
<!-- $$$frameworkVersion -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="frameworkVersion-prop">
<td class="tblQmlPropNode"><p>
<span class="name">frameworkVersion</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>For framework bundles, the version of the framework. Not used for other package types.</p>
<p>Default: <code>&quot;A&quot;</code></p>
</div></div><!-- @@@frameworkVersion -->
<br/>
<!-- $$$frameworksFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="frameworksFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">frameworksFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where internal frameworks will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@frameworksFolderPath -->
<br/>
<!-- $$$generatePackageInfo -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="generatePackageInfo-prop">
<td class="tblQmlPropNode"><p>
<span class="name">generatePackageInfo</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to generate a <code>PkgInfo</code> file for the bundle.</p>
<p>This property should almost never need to be changed, even though enabling it when specifying an alternative package type for custom bundles using <a href="qml-qbsmodules-bundle.html#packageType-prop">packageType</a> is allowed.</p>
<p>Default: <code>true</code> for applications, otherwise <code>false</code>.</p>
<p>This property was introduced in Qbs 1.5.</p>
</div></div><!-- @@@generatePackageInfo -->
<br/>
<!-- $$$identifier -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="identifier-prop">
<td class="tblQmlPropNode"><p>
<span class="name">identifier</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The bundle's identifier. If left unset, the bundle identifier will be a concatenation of this value and the <a href="qml-qbsmodules-bundle.html#identifierPrefix-prop">identifierPrefix</a> property, separated by a period (.)&#x2e;</p>
<p>Default: A combination of <a href="qml-qbsmodules-bundle.html#identifierPrefix-prop">identifierPrefix</a> and the product's target name formatted as an RFC-1034 identifier.</p>
</div></div><!-- @@@identifier -->
<br/>
<!-- $$$identifierPrefix -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="identifierPrefix-prop">
<td class="tblQmlPropNode"><p>
<span class="name">identifierPrefix</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A prefix for the product's bundle identifier. If <a href="qml-qbsmodules-bundle.html#identifier-prop">identifier</a> is left unset, the bundle identifier will be a concatenation of this value and the <a href="qml-qbsmodules-bundle.html#identifier-prop">identifier</a> property, separated by a period (.)&#x2e; This corresponds to the organization identifier in Xcode.</p>
<p>Default: <code>org.example</code></p>
</div></div><!-- @@@identifierPrefix -->
<br/>
<!-- $$$infoPlist -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="infoPlist-prop">
<td class="tblQmlPropNode"><p>
<span class="name">infoPlist</span> : <span class="type">var</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A dictionary of key-value pairs to add to the bundle's <code>Info.plist</code>.</p>
<p>The contents of this property will be aggregated with the values from any <code>plist</code> files. If this property and any <code>plist</code> files contain the same key, this property will take precedence. However, it might be overridden during postprocessing (see <a href="qml-qbsmodules-bundle.html#processInfoPlist-prop">processInfoPlist</a>).</p>
<p>If <code>undefined</code>, will not be taken into account.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@infoPlist -->
<br/>
<!-- $$$infoPlistFormat -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="infoPlistFormat-prop">
<td class="tblQmlPropNode"><p>
<span class="name">infoPlistFormat</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The file format to write the product's resulting <code>Info.plist</code> in.</p>
<p>Possible values are:</p>
<ul>
<li><code>&quot;binary1&quot;</code></li>
<li><code>&quot;json&quot;</code></li>
<li><code>&quot;same-as-input&quot;</code></li>
<li><code>&quot;xml1&quot;</code></li>
</ul>
<p>Default: <code>&quot;binary1&quot;</code> for iOS, <code>&quot;same-as-input&quot;</code> or <code>&quot;xml1&quot;</code> for <a href="nolink">macOS</a> depending on whether a <code>plist</code> file is used, and <code>undefined</code> for all other operating systems.</p>
</div></div><!-- @@@infoPlistFormat -->
<br/>
<!-- $$$infoPlistPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="infoPlistPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">infoPlistPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path that the <code>Info.plist</code> file will be written to.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@infoPlistPath -->
<br/>
<!-- $$$infoStringsPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="infoStringsPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">infoStringsPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path that the <code>InfoPlist.strings</code> file will be written to.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>This property was introduced in Qbs 1.5.</p>
</div></div><!-- @@@infoStringsPath -->
<br/>
<!-- $$$isBundle -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="isBundle-prop">
<td class="tblQmlPropNode"><p>
<span class="name">isBundle</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether the product should actually be packaged as a bundle as opposed to a flat file. This allows a product indirectly dependent on the <code>bundle</code> module to retain control of whether it should actually be built as a bundle.</p>
<p>Default: <code>true</code> for applications and dynamic libraries on Apple platforms, <code>false</code> otherwise.</p>
</div></div><!-- @@@isBundle -->
<br/>
<!-- $$$isShallow -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="isShallow-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">isShallow</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether the bundle directory tree is <i>shallow</i>. That is, whether it lacks a <code>Contents</code> subdirectory. This is the default on all platforms other than <a href="nolink">macOS</a>.</p>
<p>Default: <code>false</code> on <a href="nolink">macOS</a>, otherwise <code>true</code>.</p>
</div></div><!-- @@@isShallow -->
<br/>
<!-- $$$javaFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="javaFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">javaFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where Java content will be written.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>This property was introduced in Qbs 1.5.</p>
</div></div><!-- @@@javaFolderPath -->
<br/>
<!-- $$$localizedResourcesFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="localizedResourcesFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">localizedResourcesFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where localized resource files will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>This property was introduced in Qbs 1.5.</p>
</div></div><!-- @@@localizedResourcesFolderPath -->
<br/>
<!-- $$$packageType -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="packageType-prop">
<td class="tblQmlPropNode"><p>
<span class="name">packageType</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The four-letter file type code of the bundle, specified in the bundle's <code>PkgInfo</code> file and in the bundle's <code>Info.plist</code> as the value for the <code>CFBundlePackageType</code> key.</p>
<p>This property should almost never need to be changed, even though specifying an alternative package type for custom bundles is allowed.</p>
<p>Default: <code>&quot;APPL&quot;</code> for applications, <code>&quot;FMWK&quot;</code> for frameworks, and <code>&quot;BNDL&quot;</code> for custom bundles.</p>
</div></div><!-- @@@packageType -->
<br/>
<!-- $$$pkgInfoPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="pkgInfoPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">pkgInfoPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path that the <code>PkgInfo</code> file will be written to.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@pkgInfoPath -->
<br/>
<!-- $$$pluginsFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="pluginsFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">pluginsFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where plugins will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@pluginsFolderPath -->
<br/>
<!-- $$$privateHeaders -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="privateHeaders-prop">
<td class="tblQmlPropNode"><p>
<span class="name">privateHeaders</span> : <span class="type">pathList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of private header files to copy to a framework bundle's <code>PrivateHeaders</code> subdirectory</p>
<p>Default: Undefined</p>
</div></div><!-- @@@privateHeaders -->
<br/>
<!-- $$$privateHeadersFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="privateHeadersFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">privateHeadersFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where private header files will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@privateHeadersFolderPath -->
<br/>
<!-- $$$processInfoPlist -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="processInfoPlist-prop">
<td class="tblQmlPropNode"><p>
<span class="name">processInfoPlist</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to perform post-processing on the aggregated <code>Info.plist</code> contents.</p>
<p>If this property is <code>true</code>, various post-processing operations will be applied to the bundle's property list dictionary after it has been aggregated from the contents of any <code>plist</code> files on disk, and the <a href="qml-qbsmodules-bundle.html#infoPlist-prop">infoPlist</a> property.</p>
<p>First, values from a list of defaults will be added to the dictionary if they were not already present. Second, values from the <code>AdditionalInfo</code> key of the platform SDK's <code>Info.plist</code> file will be added to the dictionary if they were not already present, as well as some other miscellaneous keys, such as <code>BuildMachineOSBuild</code> and <code>UIDeviceFamily</code> (on iOS). Finally, variable expansions will be performed such that substrings of the form <code>$(VAR)</code> or <code>${VAR}</code> will be replaced with their corresponding environment variables.</p>
<p>Default: <code>true</code></p>
</div></div><!-- @@@processInfoPlist -->
<br/>
<!-- $$$publicHeaders -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="publicHeaders-prop">
<td class="tblQmlPropNode"><p>
<span class="name">publicHeaders</span> : <span class="type">pathList</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of public header files to copy to a framework bundle's <code>Headers</code> subdirectory.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@publicHeaders -->
<br/>
<!-- $$$publicHeadersFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="publicHeadersFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">publicHeadersFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where public headers files will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@publicHeadersFolderPath -->
<br/>
<!-- $$$resources -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="resources-prop">
<td class="tblQmlPropNode"><p>
<span class="name">resources</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>A list of resources to copy to a bundle's <code>Resources</code> subdirectory. Files will automatically be copied into <code>lproj</code> subdirectories corresponding to the input files' paths.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@resources -->
<br/>
<!-- $$$scriptsFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="scriptsFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">scriptsFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where script files will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@scriptsFolderPath -->
<br/>
<!-- $$$sharedFrameworksFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sharedFrameworksFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">sharedFrameworksFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where shared frameworks will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@sharedFrameworksFolderPath -->
<br/>
<!-- $$$sharedSupportFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="sharedSupportFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">sharedSupportFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where shared support files will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@sharedSupportFolderPath -->
<br/>
<!-- $$$signature -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="signature-prop">
<td class="tblQmlPropNode"><p>
<span class="name">signature</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The four-letter signature specific to the bundle, also known as the creator code, specified in the bundle's <code>PkgInfo</code> file and in the bundle's <code>Info.plist</code> as the value for the <code>CFBundleSignature</code> key.</p>
<p>This property should normally never need to be set.</p>
<p>Default: <code>&quot;????&quot;</code></p>
</div></div><!-- @@@signature -->
<br/>
<!-- $$$unlocalizedResourcesFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="unlocalizedResourcesFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">unlocalizedResourcesFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the directory where non-localized resource files will be copied.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>This is the same as the base resources path.</p>
</div></div><!-- @@@unlocalizedResourcesFolderPath -->
<br/>
<!-- $$$versionPlistPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionPlistPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">versionPlistPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path that the <code>version.plist</code> file will be written to.</p>
<p>The path is relative to the directory that contains the bundle.</p>
</div></div><!-- @@@versionPlistPath -->
<br/>
<!-- $$$versionsFolderPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="versionsFolderPath-prop">
<td class="tblQmlPropNode"><p>
<span class="qmlreadonly">[read-only] </span><span class="name">versionsFolderPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The path of the bundle's <code>Versions</code> subdirectory.</p>
<p>The path is relative to the directory that contains the bundle.</p>
<p>This is only relevant for (non-shallow) framework bundles.</p>
<p>This property was introduced in Qbs 1.5.</p>
</div></div><!-- @@@versionsFolderPath -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
